# Method: projects.configs.list

- [HTTP request](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.ListConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs/list#try-it)

Lists all the RuntimeConfig resources within project.

### HTTP request

`GET https://runtimeconfig.googleapis.com/v1beta1/{parent=projects/*}/configs`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The [project ID](https://support.google.com/cloud/answer/6158840?hl=en&ref_topic=6158848) for this request, in the format `projects/[PROJECT_ID]`. Authorization requires the following [Google IAM](https://cloud.google.com/iam) permission on the specified resource `parent`: - `runtimeconfig.configs.list` <br /> |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `number` Specifies the number of results to return per page. If there are fewer elements than the specified number, returns all elements. |
| `pageToken` | `string` Specifies a page token to use. Set `pageToken` to a `nextPageToken` returned by a previous list request to get the next page of results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
`configs.list()` returns the following response. The order of returned objects is arbitrary; that is, it is not ordered in any particular way.

| JSON representation ||
|---|---|
| ``` { "configs": [ { object(`https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs#RuntimeConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `configs[]` | ``object(`https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs#RuntimeConfig`)`` A list of the configurations in the project. The order of returned objects is arbitrary; that is, it is not ordered in any particular way. |
| `nextPageToken` | `string` This token allows you to get the next page of results for list requests. If the number of results is larger than `pageSize`, use the `nextPageToken` as a value for the query parameter `pageToken` in the next list request. Subsequent list requests will have their own `nextPageToken` to continue paging through the results |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudruntimeconfig`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!